<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Register</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="registerForm" class="ion-padding">
    <ion-item lines="full">
      <ion-label position="floating">First Name</ion-label>
      <ion-input type="text" formControlName="firstName"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Last Name</ion-label>
      <ion-input type="text" formControlName="lastName"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Email</ion-label>
      <ion-input type="email" formControlName="email"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Phone</ion-label>
      <ion-input type="tel" formControlName="phone" maxlength="10"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Country</ion-label>
      <ion-input
        type="text"
        formControlName="country"
        maxlength="15"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Province</ion-label>
      <ion-input
        type="text"
        formControlName="province"
        maxlength="255"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">City</ion-label>
      <ion-input type="text" formControlName="city" maxlength="255"></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Street</ion-label>
      <ion-input
        type="text"
        formControlName="street"
        maxlength="255"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Address</ion-label>
      <ion-input
        type="text"
        formControlName="address"
        maxlength="150"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Postal/Zip Code</ion-label>
      <ion-input
        type="text"
        formControlName="postalCode"
        maxlength="15"
      ></ion-input>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Password</ion-label>
      <ion-input
        [type]="hidePassword ? 'text' : 'password'"
        formControlName="password"
      ></ion-input>
      <div
        slot="end"
        class="password-eye"
        (click)="hidePassword = !hidePassword"
      >
        <ion-icon name="eye-outline" *ngIf="hidePassword"></ion-icon>
        <ion-icon name="eye-off-outline" *ngIf="!hidePassword"></ion-icon>
      </div>
    </ion-item>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Confirm Password</ion-label>
      <ion-input
        [type]="hideConfirmPassword ? 'text' : 'password'"
        formControlName="passwordConfirm"
      ></ion-input>
      <div
        slot="end"
        class="password-eye"
        (click)="hideConfirmPassword = !hideConfirmPassword"
      >
        <ion-icon name="eye-outline" *ngIf="hideConfirmPassword"></ion-icon>
        <ion-icon
          name="eye-off-outline"
          *ngIf="!hideConfirmPassword"
        ></ion-icon>
      </div>
    </ion-item>
    <div class="bs-xs-30"></div>
    <a [routerLink]="['/login']" class="app-link">Back to Login</a>
  </form>
</ion-content>

<ion-footer class="ion-no-border">
  <ion-toolbar>
    <ion-button
      color="primary"
      expand="full"
      [disabled]="!registerForm.valid"
      (click)="register()"
      >Register</ion-button
    >
  </ion-toolbar>
</ion-footer>
